BizKitHub
DocsAPI ReferenceData Grid/bff/grid-view/update
postData GridAdmin BFF

/bff/grid-view/update

Rename, share / unshare or overwrite the filters of a saved view. Owner or org root only.

DataGridpostBffGrid-viewUpdate

Parameters

JSON body

Request body

application/json
idnumberRequired
namestringOptional
Length: 1–64
isSharedbooleanOptional
filtersobjectOptional

Grid filter state. Non-identifier keys, nested values and empty strings are dropped server-side.

Response schema

1 status code documented

200Success
state"ok"Required

Response example

application/json
{
  "state": "ok"
}

Request example

POST /bff/grid-view/update

post
curl -X POST "https://api.bizkithub.com/bff/grid-view/update" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "id": 0,
  "name": "example_name",
  "isShared": false,
  "filters": {}
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key